Bug 634908 - Review Request: libeio - Event-based fully asynchronous I/O library
Review Request: libeio - Event-based fully asynchronous I/O library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 634911 eio 1003692
  Show dependency treegraph
 
Reported: 2010-09-17 06:52 EDT by Lubomir Rintel
Modified: 2013-09-02 14:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-23 09:34:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lemenkov: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2010-09-17 06:52:12 EDT
SPEC: http://v3.sk/~lkundrak/SPECS/libeio.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/libeio-3.65-1.fc13.src.rpm

Description:

Libeio is a full-featured asynchronous I/O library for C, modelled in
similar style and spirit as libev. Features include: asynchronous read,
write, open, close, stat, unlink, fdatasync, mknod, readdir etc. (basically
the full POSIX API). sendfile (native on solaris, linux, hp-ux, freebsd,
emulated everywehere else), readahead (emulated where not available).

It is fully event-library agnostic and can easily be integrated into any
event-library (or used standalone, even in polling mode). It is very portable
and relies only on POSIX threads.
Comment 1 Peter Lemenkov 2010-09-20 08:41:22 EDT
Taking this.
Comment 2 Peter Lemenkov 2010-09-20 09:06:59 EDT
Koji scratchbuild for F-13 (w.i.p. currently):

http://koji.fedoraproject.org/koji/taskinfo?taskID=2477115
Comment 3 Peter Lemenkov 2010-09-20 09:47:20 EDT
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

- rpmlint is not silent

work ~/Desktop: rpmlint libeio-*
libeio.i686: W: spelling-error %description -l en_US modelled -> modeled, model led, model-led
libeio.i686: W: spelling-error %description -l en_US libev -> liber, libel, Liberia
libeio.i686: W: spelling-error %description -l en_US fdatasync -> fantasy, asynchronous, asynchronism
libeio.i686: W: spelling-error %description -l en_US mknod -> mk nod, mk-nod, monody
libeio.i686: W: spelling-error %description -l en_US readdir -> read dir, read-dir, readily
libeio.i686: W: spelling-error %description -l en_US sendfile -> send file, send-file, Sendai
libeio.i686: W: spelling-error %description -l en_US solaris -> solaria, solarism, Polaris
libeio.i686: W: spelling-error %description -l en_US linux -> Linux
libeio.i686: W: spelling-error %description -l en_US ux -> xu, ix, u
libeio.i686: W: spelling-error %description -l en_US freebsd -> freebased, freebase, freeboard
libeio.i686: W: spelling-error %description -l en_US everywehere -> everywhere, everyway, everything
libeio.i686: W: spelling-error %description -l en_US readahead -> read ahead, read-ahead, readable
libeio.i686: E: library-without-ldconfig-postin /usr/lib/libeio.so.1.0.0
libeio.i686: E: library-without-ldconfig-postun /usr/lib/libeio.so.1.0.0
libeio-debuginfo.i686: E: debuginfo-without-sources
libeio-devel.i686: W: no-documentation
3 packages and 0 specfiles checked; 3 errors, 13 warnings.
work ~/Desktop:

In particular these two messages regarding ldconfig indicating real issues - see my messages below.

+ The package is named according to the  Package Naming Guidelines .
+ The spec file name matches the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .

- The package must meet the Packaging Guidelines. Please, add ldconfig invocation in %post and %postun.

+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines .
+ The License field in the package spec file must match the actual license. (MIT or GPLv2+)
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package matches the upstream source, as provided in the spec URL.
 
Sulaco ~/rpmbuild/BUILD: diff -ru libeio.orig/ libeio
Sulaco ~/rpmbuild/BUILD: 

+ The package  successfully compiles and builds into binary rpms on at least one primary architecture. See koji link(s) above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.

- Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 

+ Packages does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
+ Header files are in a -devel package.
+ No static libraries packaged.
+ The library files that end in .so (without suffix) stored in a -devel package.
+ The devel packages requires the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application
+ The package does not own files or directories already owned by other packages.
+ All filenames in rpm packages are valid UTF-8.

So, please, fix ldconfig issue and I;ll continue.
Comment 5 Peter Lemenkov 2010-09-21 00:10:40 EDT
OK, I don't see any other issues here - this package is

APPROVED.
Comment 6 Lubomir Rintel 2010-09-21 04:06:22 EDT
New Package SCM Request
=======================
Package Name: libeio
Short Description: Event-based fully asynchronous I/O library
Owners: lkundrak
Branches: f14 el6
Comment 7 Kevin Fenzi 2010-09-22 12:58:06 EDT
Git done (by process-git-requests).
Comment 8 Lubomir Rintel 2010-09-23 09:34:01 EDT
Imported, built and three times distilled. Thank you!

Note You need to log in before you can comment on or make changes to this bug.